From 7e1862360ace763d2d22298eaaee90be3828b4b3 Mon Sep 17 00:00:00 2001
From: Stefan Kangas <stefankangas@gmail.com>
Date: Fri, 31 May 2019 15:56:34 +0200
Subject: [PATCH] Use lexical-binding in morse.el and studly.el and add tests

* lisp/play/morse.el: Use lexical-binding.
* lisp/play/studly.el: Use lexical-binding.
* test/lisp/play/morse-tests.el: New file.
* test/lisp/play/studly-tests.el: New file.
---
 lisp/play/morse.el             |  2 +-
 lisp/play/studly.el            |  2 +-
 test/lisp/play/morse-tests.el  | 60 ++++++++++++++++++++++++++++++++++
 test/lisp/play/studly-tests.el | 52 +++++++++++++++++++++++++++++
 4 files changed, 114 insertions(+), 2 deletions(-)
 create mode 100644 test/lisp/play/morse-tests.el
 create mode 100644 test/lisp/play/studly-tests.el

diff --git a/lisp/play/morse.el b/lisp/play/morse.el
index 1f62ec3c03..f498971655 100644
--- a/lisp/play/morse.el
+++ b/lisp/play/morse.el
@@ -1,4 +1,4 @@
-;;; morse.el --- convert text to morse code and back
+;;; morse.el --- convert text to morse code and back  -*- lexical-binding: t -*-
 
 ;; Copyright (C) 1995, 2001-2019 Free Software Foundation, Inc.
 
diff --git a/lisp/play/studly.el b/lisp/play/studly.el
index ff1bf03e11..c4b32414bd 100644
--- a/lisp/play/studly.el
+++ b/lisp/play/studly.el
@@ -1,4 +1,4 @@
-;;; studly.el --- StudlyCaps (tm)(r)(c)(xxx)
+;;; studly.el --- StudlyCaps (tm)(r)(c)(xxx)  -*- lexical-binding: t -*-
 
 ;;; This is in the public domain, since it was distributed
 ;;; by its author in 1986 without a copyright notice.
diff --git a/test/lisp/play/morse-tests.el b/test/lisp/play/morse-tests.el
new file mode 100644
index 0000000000..e6129f026f
--- /dev/null
+++ b/test/lisp/play/morse-tests.el
@@ -0,0 +1,60 @@
+;;; morse-tests.el --- Tests for morse.el  -*- lexical-binding: t -*-
+
+;; Copyright (C) 2019 Free Software Foundation, Inc.
+
+;; Author: Stefan Kangas <stefankangas@gmail.com>
+
+;; This file is part of GNU Emacs.
+
+;; GNU Emacs is free software: you can redistribute it and/or modify
+;; it under the terms of the GNU General Public License as published by
+;; the Free Software Foundation, either version 3 of the License, or
+;; (at your option) any later version.
+
+;; GNU Emacs is distributed in the hope that it will be useful,
+;; but WITHOUT ANY WARRANTY; without even the implied warranty of
+;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;; GNU General Public License for more details.
+
+;; You should have received a copy of the GNU General Public License
+;; along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.
+
+;;; Commentary:
+
+;;; Code:
+
+(require 'ert)
+(require 'morse)
+
+(ert-deftest morse-tests-morse-region ()
+  (with-temp-buffer
+    (insert "Morse encoded")
+    (morse-region (point-min) (point-max))
+    (should (equal (buffer-string)
+                   "--/---/.-./.../. ./-./-.-./---/-.././-.."))))
+
+(ert-deftest morse-tests-unmorse-region ()
+  (with-temp-buffer
+    (insert "--/---/.-./.../. ./-./-.-./---/-.././-..")
+    (unmorse-region (point-min) (point-max))
+    (should (equal (buffer-string) "morse encoded"))))
+
+(ert-deftest morse-tests-nato-region ()
+  (with-temp-buffer
+    (insert "Nato encoded")
+    (nato-region (point-min) (point-max))
+    (should (equal (buffer-string)
+                   (concat
+                    "November-Alfa-Tango-Oscar Echo-November"
+                    "-Charlie-Oscar-Delta-Echo-Delta")))))
+
+(ert-deftest morse-tests-unnato-region ()
+  (with-temp-buffer
+    (insert (concat
+             "November-Alfa-Tango-Oscar Echo-November"
+             "-Charlie-Oscar-Delta-Echo-Delta"))
+    (denato-region (point-min) (point-max))
+    (should (equal (buffer-string) "nato encoded"))))
+
+(provide 'morse-tests)
+;;; morse-tests.el ends here
diff --git a/test/lisp/play/studly-tests.el b/test/lisp/play/studly-tests.el
new file mode 100644
index 0000000000..10135a0d96
--- /dev/null
+++ b/test/lisp/play/studly-tests.el
@@ -0,0 +1,52 @@
+;;; studly-tests.el --- Tests for studly.el  -*- lexical-binding: t -*-
+
+;; Copyright (C) 2019 Free Software Foundation, Inc.
+
+;; Author: Stefan Kangas <stefankangas@gmail.com>
+
+;; This file is part of GNU Emacs.
+
+;; GNU Emacs is free software: you can redistribute it and/or modify
+;; it under the terms of the GNU General Public License as published by
+;; the Free Software Foundation, either version 3 of the License, or
+;; (at your option) any later version.
+
+;; GNU Emacs is distributed in the hope that it will be useful,
+;; but WITHOUT ANY WARRANTY; without even the implied warranty of
+;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;; GNU General Public License for more details.
+
+;; You should have received a copy of the GNU General Public License
+;; along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.
+
+;;; Commentary:
+
+;;; Code:
+
+(require 'ert)
+(require 'studly)
+
+(ert-deftest studly-tests-studlify-region ()
+  (with-temp-buffer
+    (insert "Studlify this string of text")
+    (studlify-region (point-min) (point-max))
+    (should (equal (buffer-string)
+                   "StudliFy this StrinG of tExt"))))
+
+(ert-deftest studly-tests-studlify-word ()
+  (with-temp-buffer
+    (insert "normal studlified normal")
+    (goto-char 8)
+    (studlify-word 1)
+    (should (equal (buffer-string)
+                   "normal stUdlIfIed normal"))))
+
+(ert-deftest studly-tests-nato-region ()
+  (with-temp-buffer
+    (insert "Studlify\n this\n buffer")
+    (studlify-buffer)
+    (should (equal (buffer-string)
+                   "STuDlify\n This\n buffer"))))
+
+(provide 'studly-tests)
+;;; studly-tests.el ends here
-- 
2.21.0

